---
id: yahooweather
label: YahooWeather
title: YahooWeather - Bindings
type: binding
description: "This binding uses the [Yahoo Weather service](https://developer.yahoo.com/weather/) for providing current weather information."
since: 2x
logo: images/addons/yahooweather.png
install: auto
---

<!-- Attention authors: Do not edit directly. Please add your changes to the appropriate source repository -->

{% include base.html %}

# YahooWeather Binding

This binding uses the [Yahoo Weather service](https://developer.yahoo.com/weather/) for providing current weather information.

_Note:_ The Yahoo Weather API is provided by Yahoo free of charge for personal, non-commercial uses, but it requires attribution and the acceptance of their terms of use.
By using this binding, you confirm that you agree with this - please read the details on [https://developer.yahoo.com/weather/](https://developer.yahoo.com/weather/).

## Supported Things

There is exactly one supported thing, which represents the weather service. It has the id `weather`.

## Thing Configuration

Besides the location (as ```location``` as a [WOEID](https://en.wikipedia.org/wiki/WOEID) number), the second configuration parameter is ```refresh``` which defines the refresh interval in seconds.

## Channels

The weather information that is retrieved is available as these channels:

| Channel Type ID | Item Type    | Description  |
|-----------------|------------------------|------------- |
| temperature | Number       | The current temperature in degrees Celsius |
| humidity | Number       | The current humidity in % |
| pressure | Number       | The current pressure in millibar (hPa) |


## Full Example

demo.things:

```
yahooweather:weather:berlin [ location=638242 ]
```

demo.items:

```
Number Temperature 	"Outside Temperature" { channel="yahooweather:weather:berlin:temperature" }
```

demo.sitemap:

```
sitemap demo label="Main Menu"
{
	Frame {
		Text item=Temperature
	}
}
```
