---
id: habmin
label: HABmin
title: HABmin - UI
type: ui
description: "HABmin is a modern, professional and portable user interface for openHAB, providing both user and administrative functions (e.g., sitemaps for users, and configuration utilities to aid setup)."
since: 2x
install: auto
---

<!-- Attention authors: Do not edit directly. Please add your changes to the appropriate source repository -->

{% include base.html %}

# HABmin

HABmin is a modern, professional and portable user interface for openHAB, providing both user and administrative functions (e.g., sitemaps for users, and configuration utilities to aid setup). 

## Features

* **Responsive**. Should work well on all devices. Of course some functions may be removed or be difficult to use on small devices (e.g., the graphical rule editor).
* **Theme-able**. Multiple themes are available - take your pick (currently 3 themes). If you want a different look, we're using [bootswatch](http://www.bootswatch.com) themes - vote for your favourite by [raising an issue](https://github.com/openhab/org.openhab.ui.habmin/issues/new).
* **Charting**. Modern, fast charting of historical data.
* **Graphical rule editor**. No need to learn rule syntax.
* **International support**. Currently translated in English, Deutsch, Français. Add support for your language...
* Available as native app for **Android**.


## Screenshots

The following images show a selection of screenshots. Note that the theme is user selectable, although most images are shown with a dark (*slate*) theme (except the mobile sitemap image).

Graphing a saved chart...

![charting](doc/charting-saved.png)


Editing a saved chart...

![charting-editor](doc/charting-edit.png)


Editing rules (graphical editor)...

![rules-block](doc/rules-blocks.png)


Editing rules (text editor)...

![rules-source](doc/rules-source.png)


Dashboard view (Paper theme, French localisation)...

![dashboard](doc/dashboard.png)


ZWave device configuration...

![zwave-config](doc/zwave-config.png)


ZWave network routing diagram...

![zwave-network](doc/zwave-network.png)


Sitemaps (mobile view using *yeti* theme)...

![sitemap](doc/sitemap-mobile-yeti.png)
