---
layout: documentation
title: Contributing to openHAB
---

{% include base.html %}

# Contributing to openHAB

openHAB is a community effort and everyone can take part in that.
Be it by being an active developer, a one time bug reporter or by commenting on issues by others.
Please the following guidelines.

## Reporting Issues

Before reporting an issue, please check the [openHAB community forum](https://community.openhab.org) for solutions and help.
More people will see your issue when it is posted in the forum and community members may be able to help you find known solutions/workarounds.

When no solution was found, use the table below to determine where your issue should be reported:

Issue | Where to report
------|----------------
Problems and feature requests for openHAB 1 add-ons | [openHAB](https://github.com/openhab/openhab/issues)
Problems and feature requests for openHAB 2 add-ons | [openHAB2](https://github.com/openhab/openhab2/issues)
Issues related to the runtime environment, IDE and packaging | [openHAB-distro](https://github.com/openhab/openhab-distro/issues)
Issues related to the core openHAB bundles that are not from Eclipse SmartHome | [openHAB-core](https://github.com/kaikreuzer/openhab-core/issues)
Issues related to Eclipse SmartHome add-ons and core runtime | [Eclipse SmartHome](https://github.com/eclipse/smarthome/issues)

But do not worry - if you are not clear, which category your issue belongs to - we will redirect you, if necessary.

Please pay attention to the respective `CONTRIBUTING.md` file in all of these repositories.
They include further details on how to report an issue or file a pull request.

## Community Guidelines

We want to keep the openHAB community awesome, growing and collaborative.
We need your help to keep it that way.
To help with this we've come up with some general guidelines for the community as a whole:

* **Be nice:** Be courteous, respectful and polite to fellow community members: no
  regional, racial, gender, or other abuse will be tolerated. We like nice people
  way better than mean ones!

* **Encourage diversity and participation:** Make everyone in our community
  feel welcome, regardless of their background and the extent of their
  contributions, and do everything possible to encourage participation in
  our community.

* **Keep it legal:** Basically, don't get us in trouble. Share only content that
  you own, do not share private or sensitive information, and don't break the
  law.

* **Stay on topic:** Make sure that you are posting to the correct channel
  and avoid off-topic discussions. Remember when you update an issue or
  respond to an email you are potentially sending to a large number of
  people.  Please consider this before you update.  Also remember that
  nobody likes spam.
